What CAC asked
curl --request GET \
--url https://api.fastcac.com/v1/registrations/{registration_id}/query \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fastcac.com/v1/registrations/{registration_id}/query', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.fastcac.com/v1/registrations/{registration_id}/query"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fastcac.com/v1/registrations/{registration_id}/query"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fastcac.com/v1/registrations/{registration_id}/query",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"raised_at": "2026-10-23T22:17:59Z",
"answered_at": null,
"items": [
{
"field": "proposed_names",
"code": "qualifier_missing",
"message": "Proposed name does not include any business name qualifier, please add a qualifier to improve chances of approval. e.g \"ventures\", \"concepts\", \"enterprises\", \"beauty\", \"fashion\"",
"resolved": false
},
{
"field": "proprietors[0].documents.passport",
"code": "document_unclear",
"message": "Passport is not clear or does not match photo on MEANS_OF_ID",
"resolved": false
}
],
"object": "registration_query",
"registration_id": "reg_2qExWyeT9fRbV21N4FJuPO"
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "authentication_error",
"code": "api_key_missing",
"message": "Send your API key as `Authorization: Bearer <key>`.",
"param": null,
"request_id": "req_kdwpKsFMKS4VzLjqZJ0ntdrl"
}
}{
"error": {
"type": "permission_error",
"code": "live_mode_unavailable",
"message": "Live registrations aren't open yet. Use a test key (fc_test_…) for now.",
"param": null,
"request_id": "req_oYVCIHqeYbgIA3lIzwG0PO5r"
}
}{
"error": {
"type": "not_found_error",
"code": "resource_missing",
"message": "No such registration: reg_0000000000000000000000.",
"param": "id",
"request_id": "req_RlcFqswqrJZos4pnRMH3wa8d"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}Registrations
What CAC asked
Each item names the field to fix (field, a parameter path such as
proprietors[0].documents.passport). Fix them with PATCH and document
uploads, then POST …/submit.
GET
/
registrations
/
{registration_id}
/
query
What CAC asked
curl --request GET \
--url https://api.fastcac.com/v1/registrations/{registration_id}/query \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fastcac.com/v1/registrations/{registration_id}/query', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.fastcac.com/v1/registrations/{registration_id}/query"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fastcac.com/v1/registrations/{registration_id}/query"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fastcac.com/v1/registrations/{registration_id}/query",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"raised_at": "2026-10-23T22:17:59Z",
"answered_at": null,
"items": [
{
"field": "proposed_names",
"code": "qualifier_missing",
"message": "Proposed name does not include any business name qualifier, please add a qualifier to improve chances of approval. e.g \"ventures\", \"concepts\", \"enterprises\", \"beauty\", \"fashion\"",
"resolved": false
},
{
"field": "proprietors[0].documents.passport",
"code": "document_unclear",
"message": "Passport is not clear or does not match photo on MEANS_OF_ID",
"resolved": false
}
],
"object": "registration_query",
"registration_id": "reg_2qExWyeT9fRbV21N4FJuPO"
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "authentication_error",
"code": "api_key_missing",
"message": "Send your API key as `Authorization: Bearer <key>`.",
"param": null,
"request_id": "req_kdwpKsFMKS4VzLjqZJ0ntdrl"
}
}{
"error": {
"type": "permission_error",
"code": "live_mode_unavailable",
"message": "Live registrations aren't open yet. Use a test key (fc_test_…) for now.",
"param": null,
"request_id": "req_oYVCIHqeYbgIA3lIzwG0PO5r"
}
}{
"error": {
"type": "not_found_error",
"code": "resource_missing",
"message": "No such registration: reg_0000000000000000000000.",
"param": "id",
"request_id": "req_RlcFqswqrJZos4pnRMH3wa8d"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}Authorizations
Your secret API key: fc_test_… in test mode, fc_live_… in live mode.